{ inputs, ... }:
{
  services.hypridle = {
    enable = true;
    package = inputs.hypridle.packages.x86_64-linux.default;
    settings = {
      general = {
        lock_cmd = "pidof hyprlock || hyprlock";
        before_sleep_cmd = "loginctl lock-session";
        ignore_dbus_inhibit = false;
        ignore_systemd_inhibit = false;
      };


      # TODO add screen dimming and test configurations with different monitors
      listener = [
        # battery timers
        {
          timeout = "120";
          on-timeout = "systemd-ac-power || lock-power-off-monitors";
        }

        {
          timeout = "300";
          on-timeout = "systemd-ac-power || lock-suspend";
        }

        # ac power timers
        {
          timeout = "180";
          on-timeout = "systemd-ac-power && loginctl lock-session";
        }

        {
          timeout = "600";
          on-timeout = "systemd-ac-power && loginctl lock-session && systemctl suspend";
        }
      ];

    };
  };
}
